/**
  Prefix declaration
 */
@mixin _prefixed($property, $value) {
  $webkit: true !default;
  $moz: true !default;
  $ms: true !default;
  $o: true !default;

  @if $webkit == true {
    -webkit-#{$property}: #{$value};
  }

  @if $moz == true {
    -moz-#{$property}: #{$value};
  }

  @if $ms == true {
    -ms-#{$property}: #{$value};
  }

  @if $o == true {
    -o-#{$property}: #{$value};
  }

  #{$property}: #{$value};
}

/**
  Prefix keyframes
 */
@mixin _keyframes($name) {
  $webkit: true !default;
  $moz: true !default;
  $ms: true !default;
  $o: true !default;

  @if $webkit == true {
    @-webkit-keyframes #{$name} {
      @content;
    }
  }

  @if $moz == true {
    @-moz-keyframes #{$name} {
      @content;
    }
  }

  @if $ms == true {
    @-ms-keyframes #{$name} {
      @content;
    }
  }

  @if $o == true {
    @-o-keyframes #{$name} {
      @content;
    }
  }

  @keyframes #{$name} {
    @content;
  }
}